Subject: Re: [PATCH] Introduce "reset type" flag to "git reset"

From: Yasushi SHOJI <[email-masked]>
Date: Wed, 24 Aug 2005 09:41:35 +0900

At Tue, 23 Aug 2005 17:22:47 -0700,
Junio C Hamano wrote:
> 
> Yasushi SHOJI <[email-masked]> writes:
> 
> > for --hard option, what you want to do is to completely revert the
> > current state of your index file and work tree to known point.
> >
> > for that, how about git-revert-script?
> 
> "git revert" is to create a commit that reverts a previous
> commit, which I think is quite different from what we have been
> discussing so far.

ah, ok.  I was gonna suggest git-revert-script for the name but quick
check showed me that we already have that script. so I just thought it
does the thing.
--
         yashi